Package org.eclipse.net4j.util.io

## Class ExtendedDataOutput.Delegating

- java.lang.Object
- - org.eclipse.net4j.util.io.ExtendedDataOutput.Delegating

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.DataOutput`, `java.lang.AutoCloseable`, `ExtendedDataOutput`
  Enclosing interface:
    ExtendedDataOutput

      public static class ExtendedDataOutput.Delegating
      extends java.lang.Object
      implements ExtendedDataOutput, java.io.Closeable

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.ExtendedDataOutput

      `ExtendedDataOutput.Delegating, ExtendedDataOutput.Stream`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Delegating​(ExtendedDataOutput delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `ExtendedDataOutput` | `getDelegate()` |
    `void` | `write​(byte[] b)` |
    `void` | `write​(byte[] b, int off, int len)` |
    `void` | `write​(int b)` |
    `void` | `writeBoolean​(boolean v)` |
    `void` | `writeByte​(int v)` |
    `void` | `writeByteArray​(byte[] b)` |
    `void` | `writeBytes​(java.lang.String s)` |
    `void` | `writeChar​(int v)` |
    `void` | `writeChars​(java.lang.String s)` |
    `void` | `writeDouble​(double v)` |
    `void` | `writeEnum​(java.lang.Enum<?> literal)` |
    `void` | `writeException​(java.lang.Throwable t)` |
    `void` | `writeFloat​(float v)` |
    `void` | `writeInt​(int v)` |
    `void` | `writeLong​(long v)` |
    `void` | `writeObject​(java.lang.Object object)` |
    `void` | `writeShort​(int v)` |
    `void` | `writeString​(java.lang.String str)` |
    `void` | `writeUTF​(java.lang.String str)` |
    `void` | `writeVarInt​(int v)` |
    `void` | `writeVarLong​(long v)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Delegating

          public Delegating​(ExtendedDataOutput delegate)

  - ### Method Detail

    - #### getDelegate

          public ExtendedDataOutput getDelegate()

    - #### write

          public void write​(byte[] b,
                            int off,
                            int len)
                     throws java.io.IOException

      Specified by:
        `write` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### write

          public void write​(byte[] b)
                     throws java.io.IOException

      Specified by:
        `write` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### write

          public void write​(int b)
                     throws java.io.IOException

      Specified by:
        `write` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeBoolean

          public void writeBoolean​(boolean v)
                            throws java.io.IOException

      Specified by:
        `writeBoolean` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeByte

          public void writeByte​(int v)
                         throws java.io.IOException

      Specified by:
        `writeByte` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeByteArray

          public void writeByteArray​(byte[] b)
                              throws java.io.IOException

      Specified by:
        `writeByteArray` in interface `ExtendedDataOutput`
      Throws:
        `java.io.IOException`

    - #### writeBytes

          public void writeBytes​(java.lang.String s)
                          throws java.io.IOException

      Specified by:
        `writeBytes` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeChar

          public void writeChar​(int v)
                         throws java.io.IOException

      Specified by:
        `writeChar` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeChars

          public void writeChars​(java.lang.String s)
                          throws java.io.IOException

      Specified by:
        `writeChars` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeDouble

          public void writeDouble​(double v)
                           throws java.io.IOException

      Specified by:
        `writeDouble` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeFloat

          public void writeFloat​(float v)
                          throws java.io.IOException

      Specified by:
        `writeFloat` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeInt

          public void writeInt​(int v)
                        throws java.io.IOException

      Specified by:
        `writeInt` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeLong

          public void writeLong​(long v)
                         throws java.io.IOException

      Specified by:
        `writeLong` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeObject

          public void writeObject​(java.lang.Object object)
                           throws java.io.IOException

      Specified by:
        `writeObject` in interface `ExtendedDataOutput`
      Throws:
        `java.io.IOException`

    - #### writeShort

          public void writeShort​(int v)
                          throws java.io.IOException

      Specified by:
        `writeShort` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeString

          public void writeString​(java.lang.String str)
                           throws java.io.IOException

      Specified by:
        `writeString` in interface `ExtendedDataOutput`
      Throws:
        `java.io.IOException`

    - #### writeEnum

          public void writeEnum​(java.lang.Enum<?> literal)
                         throws java.io.IOException

      Specified by:
        `writeEnum` in interface `ExtendedDataOutput`
      Throws:
        `java.io.IOException`
      Since:
        3.0

    - #### writeException

          public void writeException​(java.lang.Throwable t)
                              throws java.io.IOException

      Specified by:
        `writeException` in interface `ExtendedDataOutput`
      Throws:
        `java.io.IOException`
      Since:
        3.4

    - #### writeUTF

          public void writeUTF​(java.lang.String str)
                        throws java.io.IOException

      Specified by:
        `writeUTF` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeVarInt

          public void writeVarInt​(int v)
                           throws java.io.IOException

      Specified by:
        `writeVarInt` in interface `ExtendedDataOutput`
      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### writeVarLong

          public void writeVarLong​(long v)
                            throws java.io.IOException

      Specified by:
        `writeVarLong` in interface `ExtendedDataOutput`
      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`
      Throws:
        `java.io.IOException`
      Since:
        3.6